Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1594971 - Simplify nova and nova_placement configuration file locations
Summary: Simplify nova and nova_placement configuration file locations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 21:36 UTC by Andreas Karis
Modified: 2018-08-16 13:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 13:03:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andreas Karis 2018-06-25 21:36:02 UTC
Description of problem:
Can we merge the configuration files for nova (all services) and nova_placement? Is there a reason that nova_placement has its own configuration directives, as opposed to all other services?

~~~
[root@overcloud-controller-0 nova]# docker ps | grep nova | awk '{print $1}' | xargs -I {} bash -c "docker inspect {} | grep 'puppet-generated/nova' | grep Source"
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova",
                "Source": "/var/lib/config-data/puppet-generated/nova_placement",
~~~

Version-Release number of selected component (if applicable):
OSP 13 latest RC

Expected results:
have everything under one path

Additional info:

We should be able to merge this, shouldn't we?
~~~
[root@overcloud-controller-0 nova]# find /var/lib/config-data/puppet-generated/nova_placement
/var/lib/config-data/puppet-generated/nova_placement
/var/lib/config-data/puppet-generated/nova_placement/etc
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.d
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.d/00-nova-placement-api.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.d/10-placement_wsgi.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.d/ssl.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/access_compat.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/actions.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/alias.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/alias.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/auth_basic.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/auth_digest.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authn_anon.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authn_core.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authn_dbm.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authn_file.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_core.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_dbm.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_groupfile.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_host.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_owner.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/authz_user.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/autoindex.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/autoindex.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/cache.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/cgi.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/dav.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/dav_fs.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/dav_fs.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/deflate.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/deflate.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/dir.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/dir.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/env.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/expires.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/ext_filter.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/filter.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/include.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/log_config.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/logio.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/mime.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/mime.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/mime_magic.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/mime_magic.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/negotiation.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/negotiation.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/prefork.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/prefork.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/rewrite.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/setenvif.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/setenvif.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/socache_shmcb.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/speling.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/ssl.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/status.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/status.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/substitute.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/suexec.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/systemd.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/unixd.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/usertrack.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/version.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/vhost_alias.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/wsgi.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf.modules.d/wsgi.load
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf/httpd.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/httpd/conf/ports.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/my.cnf.d
/var/lib/config-data/puppet-generated/nova_placement/etc/my.cnf.d/tripleo.cnf
/var/lib/config-data/puppet-generated/nova_placement/etc/nova
/var/lib/config-data/puppet-generated/nova_placement/etc/nova/nova.conf
/var/lib/config-data/puppet-generated/nova_placement/etc/systemd
/var/lib/config-data/puppet-generated/nova_placement/etc/systemd/system
/var/lib/config-data/puppet-generated/nova_placement/etc/systemd/system/httpd.service.d
/var/lib/config-data/puppet-generated/nova_placement/etc/systemd/system/httpd.service.d/httpd.conf
/var/lib/config-data/puppet-generated/nova_placement/var
/var/lib/config-data/puppet-generated/nova_placement/var/www
/var/lib/config-data/puppet-generated/nova_placement/var/www/cgi-bin
/var/lib/config-data/puppet-generated/nova_placement/var/www/cgi-bin/nova
/var/lib/config-data/puppet-generated/nova_placement/var/www/cgi-bin/nova/nova-placement-api
[root@overcloud-controller-0 nova]# find /var/lib/config-data/puppet-generated/nova
/var/lib/config-data/puppet-generated/nova
/var/lib/config-data/puppet-generated/nova/etc
/var/lib/config-data/puppet-generated/nova/etc/httpd
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.d
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.d/10-nova_api_wsgi.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.d/ssl.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/access_compat.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/actions.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/alias.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/alias.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/auth_basic.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/auth_digest.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authn_anon.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authn_core.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authn_dbm.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authn_file.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_core.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_dbm.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_groupfile.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_host.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_owner.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/authz_user.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/autoindex.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/autoindex.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/cache.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/cgi.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/dav.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/dav_fs.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/dav_fs.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/deflate.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/deflate.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/dir.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/dir.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/env.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/expires.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/ext_filter.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/filter.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/include.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/log_config.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/logio.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/mime.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/mime.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/mime_magic.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/mime_magic.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/negotiation.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/negotiation.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/prefork.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/prefork.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/rewrite.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/setenvif.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/setenvif.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/socache_shmcb.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/speling.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/ssl.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/status.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/status.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/substitute.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/suexec.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/systemd.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/unixd.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/usertrack.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/version.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/vhost_alias.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/wsgi.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf.modules.d/wsgi.load
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf/httpd.conf
/var/lib/config-data/puppet-generated/nova/etc/httpd/conf/ports.conf
/var/lib/config-data/puppet-generated/nova/etc/my.cnf.d
/var/lib/config-data/puppet-generated/nova/etc/my.cnf.d/tripleo.cnf
/var/lib/config-data/puppet-generated/nova/etc/nova
/var/lib/config-data/puppet-generated/nova/etc/nova/nova.conf
/var/lib/config-data/puppet-generated/nova/etc/systemd
/var/lib/config-data/puppet-generated/nova/etc/systemd/system
/var/lib/config-data/puppet-generated/nova/etc/systemd/system/httpd.service.d
/var/lib/config-data/puppet-generated/nova/etc/systemd/system/httpd.service.d/httpd.conf
/var/lib/config-data/puppet-generated/nova/var
/var/lib/config-data/puppet-generated/nova/var/spool
/var/lib/config-data/puppet-generated/nova/var/spool/cron
/var/lib/config-data/puppet-generated/nova/var/spool/cron/nova
/var/lib/config-data/puppet-generated/nova/var/www
/var/lib/config-data/puppet-generated/nova/var/www/cgi-bin
/var/lib/config-data/puppet-generated/nova/var/www/cgi-bin/nova
/var/lib/config-data/puppet-generated/nova/var/www/cgi-bin/nova/nova-api
[root@overcloud-controller-0 nova]# 
~~~

This creates lots of confusion. Just enabling debug logs for all nova services now needs an additional crudini just for nova_placement:

Set `debug` to `true` in the `nova.conf` configuration file
~~~
crudini --set /var/lib/config-data/puppet-generated/nova/etc/nova/nova.conf DEFAULT debug true
crudini --set /var/lib/config-data/puppet-generated/nova_placement/etc/nova/nova.conf DEFAULT debug true
~~~

Restart the `Nova` related containers
~~~
docker ps | awk '/nova_/ {print $NF}' | xargs -I {} docker restart {}
~~~

Comment 1 Alex Schultz 2018-06-26 19:45:38 UTC
We might be able to switch out the config volume to reuse the 'nova' config volume instead of 'nova_placement' but I'm not sure if that will cause issues. Kicking over to the Compute DFG for their expertise.

Comment 2 Martin Schuppert 2018-06-29 15:04:31 UTC
From discussion in the team there should be no problem to merge them. We'll consider this for a future version.

Just a note we have the same situation for e.g. heat:

heat_api
                "Source": "/var/lib/config-data/puppet-generated/heat_api",
heat_api_cfn
                "Source": "/var/lib/config-data/puppet-generated/heat_api_cfn",
heat_api_cron
                "Source": "/var/lib/config-data/puppet-generated/heat_api",
heat_engine
                "Source": "/var/lib/config-data/puppet-generated/heat",
...
nova_api
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_api_cron
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_conductor
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_consoleauth
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_metadata
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_placement
                "Source": "/var/lib/config-data/puppet-generated/nova_placement",
nova_scheduler
                "Source": "/var/lib/config-data/puppet-generated/nova",
nova_vnc_proxy
                "Source": "/var/lib/config-data/puppet-generated/nova",

Comment 3 Martin Schuppert 2018-07-11 09:33:01 UTC
Just a quick note while I was working on something related.

We can not merge the config volumes as we have multiple vhost configs and for the composible services to be able to separate them we'd need different config volumes, at least until we decide to merge all api services into a single httpd or drop httpd.

Comment 4 Martin Schuppert 2018-08-16 13:03:14 UTC
Due to the situation mentioned in comment 3 we close this BZ for now. When there is a design change which allows to merge volumes with multiple vhosts, we'll reconsider this.


Note You need to log in before you can comment on or make changes to this bug.